summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-12-20 16:33:21 +0000
committerMaxim Kuvyrkov <maxim.kuvyrkov@linaro.org>2021-12-20 16:33:21 +0000
commite46975c4578a0d682b312dc6885a9960591367ac (patch)
treee979307772165a9b54a139b0efcb637b92b9ef51
parent6382cc45b2d8f7583e512d5684b4efcea4b89237 (diff)
tcwg_bmk-build.sh: Workaround tcwg_bmk_stm32 failing
... and spamming upstream developers with regression emails. Change-Id: I85c1ec011b90ab43ec95e64da489f56d20f811af
-rw-r--r--round-robin.sh3
-rwxr-xr-xtcwg_bmk-build.sh8
2 files changed, 10 insertions, 1 deletions
diff --git a/round-robin.sh b/round-robin.sh
index 7649e692..bc97ce5e 100644
--- a/round-robin.sh
+++ b/round-robin.sh
@@ -611,6 +611,9 @@ check_regression ()
if [ $res = 0 ]; then
# All good, no regression
return
+ elif [ $res = $EXTERNAL_FAIL ]; then
+ # Comparison failed to produce a meaningful result
+ exit $EXTERNAL_FAIL
fi
if [ -f $run_step_artifacts/results.regressions ]; then
diff --git a/tcwg_bmk-build.sh b/tcwg_bmk-build.sh
index fc6e4e74..9bbd52b8 100755
--- a/tcwg_bmk-build.sh
+++ b/tcwg_bmk-build.sh
@@ -370,7 +370,13 @@ compare_results ()
$scripts/tcwg-benchmark-results.sh \
--results_ref $results_ref ++results $results_new \
--top_artifacts "$run_step_artifacts" --verbose $verbose $cmp_options \
- > $run_step_artifacts/results.log 2>&1
+ > $run_step_artifacts/results.log 2>&1 &
+
+ local res
+ res=0 && wait $! || res=$?
+ if [ $res != 0 ]; then
+ return $EXTERNAL_FAIL
+ fi
local regressed_by exe_threshold symbol_threshold